=== schemas/CMakeLists.txt ===
include (GSettings)
add_schema ("org.notes.gschema.xml")
