=== debian/changelog ===
notes-up (2.0.2+git20201228-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 12 May 2021 13:48:02 -0400

com.github.philip-scott.notes-up (0.1) UNSTABLE; urgency=low

  * Initial release

 -- Felipe Escoto <felescoto95@hotmail.com>  Tue, 23 Feb 2015 04:52:12 -0600
