=== debian/control ===
Source: notes-up
Section: editors
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Felipe Escoto <felescoto95@hotmail.com>
Build-Depends: cmake,
               debhelper (>= 9),
               libsqlite3-dev,
               libwebkit2gtk-4.0-dev,
               libgtk-3-dev,
               valac (>= 0.26),
               libgtkspell3-3-dev,
               libgranite-dev,
               libgtksourceview-3.0-dev (>= 3.10),
               libmarkdown2-dev
Standards-Version: 3.9.6

Package: notes-up
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: dpkg (>= 1.15.6)
Description: markdown notes manager
 Markdown notes manager for elementary os.
